.btn {
  background: initial;
  border: solid 1px;
  border-radius: 2px;
  padding: 5px 10px;
  cursor: pointer;
  text-decoration: none;

  @media(prefers-color-scheme: dark) {
    background: $dark-background-color;
    color: $dark-text-color;
  }

  &:focus {
    background: $text-color;
    color: $background-color;

    @media(prefers-color-scheme: dark) {
      background: $dark-text-color;
      color: $dark-background-color;
    }
  }
}

.btn-accent {
  background-color: $accent-color;

  @media(prefers-color-scheme: dark) {
    color: $text-color;
    border-color: $dark-text-color;
  }
}

.btn-danger {
  background-color: $danger-color;

  @media(prefers-color-scheme: dark) {
    color: $text-color;
    border-color: $dark-text-color;
  }
}

.btn-warning {
  background-color: $warning-color;

  @media(prefers-color-scheme: dark) {
    color: $text-color;
    border-color: $dark-text-color;
  }
}

.btn-info {
  background-color: $info-color;

  @media(prefers-color-scheme: dark) {
    color: $text-color;
    border-color: $dark-text-color;
  }
}

.btn-success {
  background-color: $success-color;

  @media(prefers-color-scheme: dark) {
    color: $text-color;
    border-color: $dark-text-color;
  }
}
